# Generated by Django 4.2.15 on 2024-09-03 16:42

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import inboxen.cms.fields
import inboxen.validators


class Migration(migrations.Migration):

    replaces = [('blog', '0001_initial'), ('blog', '0002_blogpost_slug'), ('blog', '0003_auto_20151212_0001'), ('blog', '0004_auto_20161108_2225'), ('blog', '0005_auto_20171231_1559'), ('blog', '0006_auto_20180313_0138'), ('blog', '0007_auto_20180607_2003'), ('blog', '0008_alter_blogpost_body'), ('blog', '0009_alter_blogpost_body'), ('blog', '0010_alter_blogpost_slug')]

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="BlogPost",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "subject",
                    models.CharField(
                        max_length=512,
                        validators=[
                            inboxen.validators.ProhibitNullCharactersValidator()
                        ],
                    ),
                ),
                (
                    "body",
                    inboxen.cms.fields.RichTextField(
                        allow_tags=[
                            "p",
                            "a",
                            "i",
                            "b",
                            "em",
                            "strong",
                            "ol",
                            "ul",
                            "li",
                            "pre",
                            "code",
                            "img",
                        ],
                        safe_attrs=["href", "src", "alt"],
                        validators=[
                            inboxen.validators.ProhibitNullCharactersValidator()
                        ],
                    ),
                ),
                (
                    "date",
                    models.DateTimeField(
                        blank=True,
                        db_index=True,
                        editable=False,
                        null=True,
                        verbose_name="posted",
                    ),
                ),
                (
                    "modified",
                    models.DateTimeField(auto_now=True, verbose_name="modified"),
                ),
                ("draft", models.BooleanField(default=True)),
                (
                    "slug",
                    models.SlugField(
                        max_length=64,
                        unique=True,
                        validators=[
                            inboxen.validators.ProhibitNullCharactersValidator()
                        ],
                    ),
                ),
                (
                    "author",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "ordering": ["-date"],
            },
        ),
    ]
